import type { CreateElement } from 'vue';
import type Vue from 'vue';
import type { InputConfig } from '../config-provider/config-receiver';
import type { ClassName } from '../../common.type';
import type FormItem from '../form/form-item';
import type { InputValue } from './type';
interface InputInstance extends Vue {
    composing: boolean;
    tFormItem: InstanceType<typeof FormItem>;
}
declare const _default: import("vue/types/vue").ExtendedVue<{
    useGlobalIcon(tdIcon: Record<string, any>): import("../config-provider/type").IconConfig;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & Vue & {
    t<T>(pattern: T, placement?: import("../config-provider/config-receiver").Placement): string;
} & {
    global: InputConfig;
    classPrefix: string;
    componentName: string;
    installName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & InputInstance, {
    formDisabled: any;
    isHover: boolean;
    focused: boolean;
    renderType: "number" | "text" | "search" | "submit" | "hidden" | "url" | "tel" | "password";
    inputValue: string;
    composingRef: boolean;
    composingRefValue: string;
}, {
    addListeners(): void;
    mouseEvent(v: boolean): void;
    renderIcon(h: CreateElement, icon: string | Function | undefined, iconType: 'prefix-icon' | 'suffix-icon' | 'password-icon'): any;
    setInputValue(v?: InputValue): void;
    focus(): void;
    blur(): void;
    handleKeydown(e: KeyboardEvent): void;
    handleKeyUp(e: KeyboardEvent): void;
    handleKeypress(e: KeyboardEvent): void;
    onHandlePaste(e: ClipboardEvent): void;
    onHandleMousewheel(e: WheelEvent): void;
    emitPassword(): void;
    emitClear(e: MouseEvent): void;
    emitFocus(e: FocusEvent): void;
    formatAndEmitBlur(e: FocusEvent): void;
    compositionstartHandler(e: CompositionEvent): void;
    compositionendHandler(e: CompositionEvent): void;
    onRootClick(e: MouseEvent): void;
    handleInput(e: InputEvent | CompositionEvent): void;
    onInputMouseenter(e: MouseEvent): void;
    onInputMouseleave(e: MouseEvent): void;
    updateInputWidth(): void;
    getValueByLimitNumber(inputValue: string): string;
    onValidateChange(): void;
}, {
    tDisabled: boolean;
    tPlaceholder: string;
    showClear: boolean;
    inputAttrs: Record<string, any>;
    inputClasses: ClassName;
    inputWrapClass: ClassName;
    limitNumber: string;
    innerStatus: string;
    tStatus: string;
}, {
    showInput: boolean;
    keepWrapperWidth: boolean;
    align: "left" | "center" | "right";
    allowInputOverMax: boolean;
    autocomplete: any;
    autofocus: boolean;
    autoWidth: boolean;
    clearable: boolean;
    disabled: boolean;
    format: import("./type").InputFormatType;
    inputClass: ClassName;
    label: string | ((h: CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    maxcharacter: number;
    maxlength: number;
    name: string;
    placeholder: any;
    prefixIcon: (h: CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
    readonly: boolean;
    showClearIconOnEmpty: boolean;
    showLimitNumber: boolean;
    size: import("../../common.type").SizeType;
    status: "default" | "error" | "warning" | "success";
    suffix: string | ((h: CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    suffixIcon: (h: CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
    tips: string | ((h: CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    type: "number" | "text" | "search" | "submit" | "hidden" | "url" | "tel" | "password";
    value: string;
    defaultValue: string;
    onBlur: (value: string, context: {
        e: FocusEvent;
    }) => void;
    onChange: (value: string, context?: {
        e?: MouseEvent | InputEvent;
    }) => void;
    onClear: (context: {
        e: MouseEvent;
    }) => void;
    onCompositionend: (value: string, context: {
        e: CompositionEvent;
    }) => void;
    onCompositionstart: (value: string, context: {
        e: CompositionEvent;
    }) => void;
    onEnter: (value: string, context: {
        e: KeyboardEvent;
    }) => void;
    onFocus: (value: string, context: {
        e: FocusEvent;
    }) => void;
    onKeydown: (value: string, context: {
        e: KeyboardEvent;
    }) => void;
    onKeypress: (value: string, context: {
        e: KeyboardEvent;
    }) => void;
    onKeyup: (value: string, context: {
        e: KeyboardEvent;
    }) => void;
    onMouseenter: (context: {
        e: MouseEvent;
    }) => void;
    onMouseleave: (context: {
        e: MouseEvent;
    }) => void;
    onPaste: (context: {
        e: ClipboardEvent;
        pasteValue: string;
    }) => void;
    onValidate: (context: {
        error?: "exceed-maximum" | "below-minimum";
    }) => void;
    onWheel: (context: {
        e: WheelEvent;
    }) => void;
}>;
export default _default;
